docusign.account-brands.get-brands
This method returns details about all of the brands associated with an account, including the default brand profiles. Either or both of the following settings must be enabled for the account to use this method: - canSelfBrandSign - canSelfBrandSend ### Related topics - How to create a brand - How to apply a brand to an envelope
Gets a list of brands.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
exclude_distributor_brand | string | No | — | When true, excludes distributor brand information from the response set. |
include_logos | string | No | — | When true, returns the logos associated with the brand. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
exclude_distributor_brand | string | No | — | When true, excludes distributor brand information from the response set. |
include_logos | string | No | — | When true, returns the logos associated with the brand. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/brands |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/brands |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-brands.get-brands",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}